Bug 1402086 - Can't open '/path/to/dir': No such file or directory; volume still in use
Summary: Can't open '/path/to/dir': No such file or directory; volume still in use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker-latest
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard: docker-autotest:docker_cli/cp/volume_...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 18:00 UTC by Chris Evich
Modified: 2017-01-17 20:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 20:47:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0123 normal SHIPPED_LIVE Moderate: docker-latest security, bug fix, and enhancement update 2017-01-18 01:41:25 UTC

Description Chris Evich 2016-12-06 18:00:54 UTC
Description of problem:
Upstream issues: Race condition in Docker 1.12.1 between create-container and upload-to-container when using a volume.  Also, mounts behavior differs between 1.10.3 and 1.12.

Version-Release number of selected component (if applicable):
docker-latest-1.12.1-2.el7

How reproducible:
Reliable

Steps to Reproduce:
See upstream issues

Actual results:
Can't open '/path/to/dir': No such file or directory
-or-
volume still in use

Additional info:

Completed-
    https://trello.com/c/FbcSkdaL

Upstream issues (resolved)-
    https://github.com/docker/docker/issues/27773
    https://github.com/projectatomic/docker/issues/207
    https://github.com/projectatomic/docker/commit/47e22f22361b3e4a73479b20d1f35f237ed8faba

Comment 3 Luwen Su 2017-01-09 08:41:38 UTC
Works fine in docker-latest-1.12.5-9.el7.x86_64, move to verified

Comment 4 errata-xmlrpc 2017-01-17 20:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0123.html


Note You need to log in before you can comment on or make changes to this bug.